aboutsummaryrefslogtreecommitdiffstats
path: root/resources/tools/download_install_vpp_pkgs.sh
diff options
context:
space:
mode:
authorJan Gelety <jgelety@cisco.com>2016-03-15 13:45:55 +0100
committerGerrit Code Review <gerrit@fd.io>2016-03-29 12:42:12 +0000
commit77873c7c4c3793b3a9a5fa0e5daa6884dabb2e82 (patch)
treec5204aa5bfe7db157d93fbd8c70ced0d093b0e34 /resources/tools/download_install_vpp_pkgs.sh
parentbf584751869e2763468fc1c8a1865b5a5ae7c10f (diff)
Bootstrap to test csit-master against VPP release.
- get the version of the latest VPP build - download and install the latest VPP build on nodes - run three times all test suites to check if the VPP build can be used for csit development and current csit master can be pushed to master-verified branch (see patch https://gerrit.fd.io/r/590) Change-Id: I0ad2e9fe1620cc18ccc11dce2d107177cf97ff27 Signed-off-by: Jan Gelety <jgelety@cisco.com>
Diffstat (limited to 'resources/tools/download_install_vpp_pkgs.sh')
-rwxr-xr-xresources/tools/download_install_vpp_pkgs.sh15
1 files changed, 11 insertions, 4 deletions
diff --git a/resources/tools/download_install_vpp_pkgs.sh b/resources/tools/download_install_vpp_pkgs.sh
index 0d95e75922..025be87720 100755
--- a/resources/tools/download_install_vpp_pkgs.sh
+++ b/resources/tools/download_install_vpp_pkgs.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Copyright (c) 2016 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
@@ -13,7 +13,10 @@
# See the License for the specific language governing permissions and
# limitations under the License.
-set -x
+set -ex
+
+trap 'rm -f *.deb.md5; exit' EXIT
+trap 'rm -f *.deb.md5;rm -f *.deb; exit' ERR
URL="https://nexus.fd.io/service/local/artifact/maven/content"
VER="RELEASE"
@@ -36,5 +39,9 @@ for MD5FILE in *.md5; do
md5sum -c ${MD5FILE} || exit
done
-echo sudo dpkg -i *.deb
-
+if [ "$1" != "--skip-install" ]; then
+ echo Installing VPP
+ sudo dpkg -i *.deb
+else
+ echo VPP Installation skipped
+fi